This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from 410acc7 [AArch64] elf toolchain does not pass -shared linker option
new 44f8678 PR 66714
new 69dcb06 Fix gfortran.dg/class_to_type_4.f90 deallocation code misorde [...]
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 8 +++++++
gcc/fortran/ChangeLog | 6 ++++++
gcc/fortran/trans-expr.c | 2 +-
gcc/tree-cfg.c | 39 ++++++++++++++++++++++++++++++++++-
libgomp/ChangeLog | 4 ++++
libgomp/testsuite/libgomp.c/pr66714.c | 17 +++++++++++++++
6 files changed, 74 insertions(+), 2 deletions(-)
create mode 100644 libgomp/testsuite/libgomp.c/pr66714.c
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a commit to branch hjl/indbr/master
in repository gcc.
commit b6a23b4c8fc77c5a8ca8897b347ba9d7d74c73cf
Author: Jan Beulich <jbeulich(a)suse.com>
Date: Thu Jul 23 07:41:06 2015 -0700
fix in-tree-binutils builds
Quite a while ago configure.in go renamed to configure.ac in all of
binutils' subtrees - allow for both when checking for that case while
configuring.
* acinclude.m4: Replace configure.in by configure.[ai][cn].
* configure.ac: Likewise.
* configure: Re-generate.
---
gcc/acinclude.m4 | 2 +-
gcc/configure | 14 +++++++-------
gcc/configure.ac | 12 ++++++------
3 files changed, 14 insertions(+), 14 deletions(-)
diff --git a/gcc/acinclude.m4 b/gcc/acinclude.m4
index 94da88e..0696ff9 100644
--- a/gcc/acinclude.m4
+++ b/gcc/acinclude.m4
@@ -390,7 +390,7 @@ AC_DEFUN([_gcc_COMPUTE_GAS_VERSION],
[gcc_cv_as_bfd_srcdir=`echo $srcdir | sed -e 's,/gcc$,,'`/bfd
for f in $gcc_cv_as_bfd_srcdir/configure \
$gcc_cv_as_gas_srcdir/configure \
- $gcc_cv_as_gas_srcdir/configure.in \
+ $gcc_cv_as_gas_srcdir/configure.[ai][cn] \
$gcc_cv_as_gas_srcdir/Makefile.in ; do
gcc_cv_gas_version=`sed -n -e 's/^[[ ]]*VERSION=[[^0-9A-Za-z_]]*\([[0-9]]*\.[[0 [...]
if test x$gcc_cv_gas_version != x; then
diff --git a/gcc/configure b/gcc/configure
index 08bce32..525439d 100755
--- a/gcc/configure
+++ b/gcc/configure
@@ -21681,7 +21681,7 @@ else
if test -x "$DEFAULT_ASSEMBLER"; then
gcc_cv_as="$DEFAULT_ASSEMBLER"
-elif test -f $gcc_cv_as_gas_srcdir/configure.in \
+elif test -f $gcc_cv_as_gas_srcdir/configure.[ai][cn] \
&& test -f ../gas/Makefile \
&& test x$build = x$host; then
gcc_cv_as=../gas/as-new$build_exeext
@@ -21754,7 +21754,7 @@ $as_echo "newly built gas" >&6; }
gcc_cv_as_bfd_srcdir=`echo $srcdir | sed -e 's,/gcc$,,'`/bfd
for f in $gcc_cv_as_bfd_srcdir/configure \
$gcc_cv_as_gas_srcdir/configure \
- $gcc_cv_as_gas_srcdir/configure.in \
+ $gcc_cv_as_gas_srcdir/configure.[ai][cn] \
$gcc_cv_as_gas_srcdir/Makefile.in ; do
gcc_cv_gas_version=`sed -n -e 's/^[ ]*VERSION=[^0-9A-Za-z_]*\([0-9]*\.[0-9]*.*\ [...]
if test x$gcc_cv_gas_version != x; then
@@ -21844,7 +21844,7 @@ elif test $install_gold_as_default = yes \
&& test -f ../gold/Makefile \
&& test x$build = x$host; then
gcc_cv_ld=../gold/ld-new$build_exeext
-elif test -f $gcc_cv_ld_gld_srcdir/configure.in \
+elif test -f $gcc_cv_ld_gld_srcdir/configure.[ai][cn] \
&& test -f ../ld/Makefile \
&& test x$build = x$host; then
gcc_cv_ld=../ld/ld-new$build_exeext
@@ -21960,7 +21960,7 @@ $as_echo "newly built ld" >&6; }
elif test "$ld_is_gold" = yes; then
in_tree_ld_is_elf=yes
fi
- for f in $gcc_cv_ld_bfd_srcdir/configure $gcc_cv_ld_gld_srcdir/configure $gcc_cv_ [...]
+ for f in $gcc_cv_ld_bfd_srcdir/configure $gcc_cv_ld_gld_srcdir/configure $gcc_cv_ [...]
do
gcc_cv_gld_version=`sed -n -e 's/^[ ]*VERSION=[^0-9A-Za-z_]*\([0-9]*\.[0-9]*.*\ [...]
if test x$gcc_cv_gld_version != x; then
@@ -21993,7 +21993,7 @@ if test "${gcc_cv_nm+set}" = set; then :
else
-if test -f $gcc_cv_binutils_srcdir/configure.in \
+if test -f $gcc_cv_binutils_srcdir/configure.[ai][cn] \
&& test -f ../binutils/Makefile \
&& test x$build = x$host; then
gcc_cv_nm=../binutils/nm-new$build_exeext
@@ -22072,7 +22072,7 @@ if test "${gcc_cv_objdump+set}" = set; then :
else
-if test -f $gcc_cv_binutils_srcdir/configure.in \
+if test -f $gcc_cv_binutils_srcdir/configure.[ai][cn] \
&& test -f ../binutils/Makefile \
&& test x$build = x$host; then
# Single tree build which includes binutils.
@@ -22144,7 +22144,7 @@ if test "${gcc_cv_readelf+set}" = set; then :
else
-if test -f $gcc_cv_binutils_srcdir/configure.in \
+if test -f $gcc_cv_binutils_srcdir/configure.[ai][cn] \
&& test -f ../binutils/Makefile \
&& test x$build = x$host; then
# Single tree build which includes binutils.
diff --git a/gcc/configure.ac b/gcc/configure.ac
index 326bb59..1b6e616 100644
--- a/gcc/configure.ac
+++ b/gcc/configure.ac
@@ -2091,7 +2091,7 @@ m4_pattern_allow([AS_FOR_TARGET])dnl
AS_VAR_SET_IF(gcc_cv_as,, [
if test -x "$DEFAULT_ASSEMBLER"; then
gcc_cv_as="$DEFAULT_ASSEMBLER"
-elif test -f $gcc_cv_as_gas_srcdir/configure.in \
+elif test -f $gcc_cv_as_gas_srcdir/configure.[ai][cn] \
&& test -f ../gas/Makefile \
&& test x$build = x$host; then
gcc_cv_as=../gas/as-new$build_exeext
@@ -2180,7 +2180,7 @@ elif test $install_gold_as_default = yes \
&& test -f ../gold/Makefile \
&& test x$build = x$host; then
gcc_cv_ld=../gold/ld-new$build_exeext
-elif test -f $gcc_cv_ld_gld_srcdir/configure.in \
+elif test -f $gcc_cv_ld_gld_srcdir/configure.[ai][cn] \
&& test -f ../ld/Makefile \
&& test x$build = x$host; then
gcc_cv_ld=../ld/ld-new$build_exeext
@@ -2244,7 +2244,7 @@ if test "$gcc_cv_ld" = ../ld/ld-new$build_exeext \
elif test "$ld_is_gold" = yes; then
in_tree_ld_is_elf=yes
fi
- for f in $gcc_cv_ld_bfd_srcdir/configure $gcc_cv_ld_gld_srcdir/configure $gcc_cv_ [...]
+ for f in $gcc_cv_ld_bfd_srcdir/configure $gcc_cv_ld_gld_srcdir/configure $gcc_cv_ [...]
do
changequote(,)dnl
gcc_cv_gld_version=`sed -n -e 's/^[ ]*VERSION=[^0-9A-Za-z_]*\([0-9]*\.[0-9]*.*\ [...]
@@ -2277,7 +2277,7 @@ AC_SUBST(ORIGINAL_LD_GOLD_FOR_TARGET)
# Figure out what nm we will be using.
gcc_cv_binutils_srcdir=`echo $srcdir | sed -e 's,/gcc$,,'`/binutils
AS_VAR_SET_IF(gcc_cv_nm,, [
-if test -f $gcc_cv_binutils_srcdir/configure.in \
+if test -f $gcc_cv_binutils_srcdir/configure.[ai][cn] \
&& test -f ../binutils/Makefile \
&& test x$build = x$host; then
gcc_cv_nm=../binutils/nm-new$build_exeext
@@ -2309,7 +2309,7 @@ esac
# Figure out what objdump we will be using.
AS_VAR_SET_IF(gcc_cv_objdump,, [
-if test -f $gcc_cv_binutils_srcdir/configure.in \
+if test -f $gcc_cv_binutils_srcdir/configure.[ai][cn] \
&& test -f ../binutils/Makefile \
&& test x$build = x$host; then
# Single tree build which includes binutils.
@@ -2334,7 +2334,7 @@ fi
# Figure out what readelf we will be using.
AS_VAR_SET_IF(gcc_cv_readelf,, [
-if test -f $gcc_cv_binutils_srcdir/configure.in \
+if test -f $gcc_cv_binutils_srcdir/configure.[ai][cn] \
&& test -f ../binutils/Makefile \
&& test x$build = x$host; then
# Single tree build which includes binutils.
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch master
in repository gcc.
from 410acc7 [AArch64] elf toolchain does not pass -shared linker option
new 44f8678 PR 66714
new 69dcb06 Fix gfortran.dg/class_to_type_4.f90 deallocation code misorde [...]
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 8 +++++++
gcc/fortran/ChangeLog | 6 ++++++
gcc/fortran/trans-expr.c | 2 +-
gcc/tree-cfg.c | 39 ++++++++++++++++++++++++++++++++++-
libgomp/ChangeLog | 4 ++++
libgomp/testsuite/libgomp.c/pr66714.c | 17 +++++++++++++++
6 files changed, 74 insertions(+), 2 deletions(-)
create mode 100644 libgomp/testsuite/libgomp.c/pr66714.c
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from b0343e0 gcc/
new b0155c9 [AArch64] Fix LINUX_TARGET_LINK_SPEC to be consistent with ARM
new 410acc7 [AArch64] elf toolchain does not pass -shared linker option
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 12 ++++++++++++
gcc/config/aarch64/aarch64-elf-raw.h | 7 ++++++-
gcc/config/aarch64/aarch64-linux.h | 5 +++--
3 files changed, 21 insertions(+), 3 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch master
in repository gcc.
from b0343e0 gcc/
new b0155c9 [AArch64] Fix LINUX_TARGET_LINK_SPEC to be consistent with ARM
new 410acc7 [AArch64] elf toolchain does not pass -shared linker option
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 12 ++++++++++++
gcc/config/aarch64/aarch64-elf-raw.h | 7 ++++++-
gcc/config/aarch64/aarch64-linux.h | 5 +++--
3 files changed, 21 insertions(+), 3 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit 3b34951da4fbffff0b59f1d1f78cbce45df1b2e9
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Fri Jul 24 15:49:29 2015 +0200
Remove LAVA-in-benchmarking-scripts env var
LAVA has been removed from scripts, env var isn't doing anything
Change-Id: I8893cec0c8307ab39088d4977414eec1cd56fbf1
---
invoke_session_debian | 1 -
1 file changed, 1 deletion(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index e63ac92..f097539 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -134,7 +134,6 @@ mkdir "${maindir}"
chmod 700 "${maindir}"
echo "Running benchmark... I may be some time"
-export LAVA_IN_LAB=1
"${ABE_DIR}"/scripts/Benchmark.job
echo "All done, waiting user"
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit 6a165f476a5cb2b4bf12956f6dce7cc5b8649056
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Fri Jul 24 15:47:49 2015 +0200
Add/fix comments/spacing in target setup loop
Change-Id: Ic2643a5ade757a2ad82c277742f128e61f9583ee
---
invoke_session_debian | 6 +++++-
1 file changed, 5 insertions(+), 1 deletion(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index 90d8cba..37502cb 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -102,18 +102,22 @@ for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | [...]
if test -z "${target_ip}"; then echo "Failed to find IP for ${lava_name}"; exit 1; fi
#Check that target is accessible, add it to our known_hosts,
- #add our one-time key to it's authorized_keys
+ #add our one-time key to its authorized_keys
if ! cat ~/data/onetime.pub | SSH_AUTH_SOCK=~/data/socket ssh -o StrictHostKeyCh [...]
echo "Could not access target ${target_ip} (${lava_name})" >&2
exit 1
fi
+ #Generate configuration files for target
target_base="$(echo ${lava_name} | sed 's/[[:digit:]]*$//')" #TODO: HACK
if test $? -ne 0; then echo "Failed to find target type from ${lava_name}"; exit 1; fi
sed "s/^ip=.*/ip=${target_ip}/" "${ABE_DIR}/config/boards/bench/${target_base}.c [...]
if test $? -ne 0; then echo "Failed to generate config file for target ${lava_na [...]
+
cp "${ABE_DIR}/config/boards/bench/${target_base}.services" "${ABE_DIR}/config/b [...]
if test $? -ne 0; then echo "Failed to generate services file for target ${lava_ [...]
+
+ #Add target to list for Benchmark.job
if test "${#target_names[@]}" -eq 0; then
target_names=("${lava_name}")
else
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch inserted_src
in repository toolchain/semiautobench.
commit 907abf85c415d5f69a63d450bb5abb46b6db5289
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Fri Jul 24 16:03:01 2015 +0200
Check error code of Benchmark.job
Change-Id: I6cdac421d99b6d64d1405f389d0638583ac3fe92
---
invoke_session_debian | 7 ++++++-
1 file changed, 6 insertions(+), 1 deletion(-)
diff --git a/invoke_session_debian b/invoke_session_debian
index cfc0ce3..c749622 100755
--- a/invoke_session_debian
+++ b/invoke_session_debian
@@ -134,7 +134,12 @@ mkdir "${maindir}"
chmod 700 "${maindir}"
echo "Running benchmark... I may be some time"
-"${ABE_DIR}"/scripts/Benchmark.job
+if ! "${ABE_DIR}"/scripts/Benchmark.job; then
+ echo "Benchmark run failed" >&2
+ error=1
+ exit
+fi
+
echo "*** RESULTS READY"
while ! test -e ~/data/resultsgone; do
inotifywait -e create ~/data
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch inserted_src
in repository toolchain/semiautobench.
discards c6edd25 Check error code of Benchmark.job
discards ccb4580 Replace infinite sleep with 'results ready' message
discards 156a6cb Remove LAVA-in-benchmarking-scripts env var
discards 4c00f03 Change variable name from target_base to target_type
discards d53cac3 Add/fix comments/spacing in target setup loop
discards 06e190d Add a hint to user
new e6452e2 Add a hint to user
new 6a165f4 Add/fix comments/spacing in target setup loop
new 47abc63 Change variable name from target_base to target_type
new 3b34951 Remove LAVA-in-benchmarking-scripts env var
new a4f204f Replace infinite sleep with 'results ready' message
new 907abf8 Check error code of Benchmark.job
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (c6edd25)
\
N -- N -- N refs/heads/inserted_src (907abf8)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 6 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
invoke_session_debian | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.